#!/usr/bin/env sh

export STACK_CONFIG_PATH=${CI_PROJECT_DIR}/stacks/${stack}
export STACK_CONFIG=${STACK_CONFIG_PATH}/config.json

export SPACK_VERSION=$(jq -r .spack.version ${STACK_CONFIG})
export MOUNT_POINT=$(jq -r .stack.mount_point ${STACK_CONFIG})
export STACK_LOCATION=${MOUNT_POINT}/${stack}

export SPACK_SYSTEM_CONFIG_PATH=${STACK_LOCATION}/environment

export SPACK_USER_CACHE_PATH=$(mktemp -p /tmp -d slurm_user_cache_XXXXXXX)
export SPACK_USER_CONFIG_PATH=$(mktemp -p /tmp -d slurm_user_config_XXXXXXX)

echo "STACK_CONFIG_PATH: ${STACK_CONFIG_PATH}"
echo "STACK_CONFIG: ${STACK_CONFIG}"
echo "SPACK_VERSION: ${SPACK_VERSION}"
echo "MOUNT_POINT: ${MOUNT_POINT}"
echo "STACK_LOCATION: ${STACK_LOCATION}"
echo "SPACK_SYSTEM_CONFIG_PATH: ${SPACK_SYSTEM_CONFIG_PATH}"
echo "SPACK_USER_CACHE_PATH: ${SPACK_USER_CACHE_PATH}"
echo "SPACK_USER_CONFIG_PATH: ${SPACK_USER_CONFIG_PATH}"
